libzypp: zyppng::RepoServicesWorkflow Namespace Reference

libzypp 17.36.6

Functions
zyppng::RepoServicesWorkflow Namespace Reference

## Functions
AsyncOpRef< expected< std::pair< zypp::ServiceInfo, RepoInfoList > > > | fetchRepoListfromService (ContextRef ctx, zypp::Pathname root_r, ServiceInfo service, ProgressObserverRef myProgress)
expected< std::pair< zypp::ServiceInfo, RepoInfoList > > | fetchRepoListfromService (SyncContextRef ctx, zypp::Pathname root_r, ServiceInfo service, ProgressObserverRef myProgress)
AsyncOpRef< expected< zypp::repo::ServiceType > > | probeServiceType (ContextRef ctx, const zypp::Url &url)
expected< zypp::repo::ServiceType > | probeServiceType (SyncContextRef ctx, const zypp::Url &url)
AsyncOpRef< expected< void > > | refreshService (AsyncRepoManagerRef repoMgr, ServiceInfo info, zypp::RepoManagerFlags::RefreshServiceOptions options)
expected< void > | refreshService (SyncRepoManagerRef repoMgr, ServiceInfo info, zypp::RepoManagerFlags::RefreshServiceOptions options)

## Function Documentation

## ◆ fetchRepoListfromService() [1/2]

AsyncOpRef< expected< std::pair< zypp::ServiceInfo, RepoInfoList > > > zyppng::RepoServicesWorkflow::fetchRepoListfromService | ( | ContextRef | ctx,
|  | zypp::Pathname | root_r,
|  | ServiceInfo | service,
|  | ProgressObserverRef | myProgress )

Definition at line 244 of file serviceswf.cc.

## ◆ fetchRepoListfromService() [2/2]

expected< std::pair< zypp::ServiceInfo, RepoInfoList > > zyppng::RepoServicesWorkflow::fetchRepoListfromService | ( | SyncContextRef | ctx,
|  | zypp::Pathname | root_r,
|  | ServiceInfo | service,
|  | ProgressObserverRef | myProgress )

Definition at line 252 of file serviceswf.cc.

## ◆ probeServiceType() [1/2]

AsyncOpRef< expected< zypp::repo::ServiceType > > zyppng::RepoServicesWorkflow::probeServiceType | ( | ContextRef | ctx,
|  | const zypp::Url & | url )

Definition at line 306 of file serviceswf.cc.

## ◆ probeServiceType() [2/2]

expected< zypp::repo::ServiceType > zyppng::RepoServicesWorkflow::probeServiceType | ( | SyncContextRef | ctx,
|  | const zypp::Url & | url )

Definition at line 311 of file serviceswf.cc.

## ◆ refreshService() [1/2]

AsyncOpRef< expected< void > > zyppng::RepoServicesWorkflow::refreshService | ( | AsyncRepoManagerRef | repoMgr,
|  | ServiceInfo | info,
|  | zypp::RepoManagerFlags::RefreshServiceOptions | options )

Definition at line 739 of file serviceswf.cc.

## ◆ refreshService() [2/2]

expected< void > zyppng::RepoServicesWorkflow::refreshService | ( | SyncRepoManagerRef | repoMgr,
|  | ServiceInfo | info,
|  | zypp::RepoManagerFlags::RefreshServiceOptions | options )

Definition at line 744 of file serviceswf.cc.